from sqlalchemy import text, Row
from Database.DBCatalog import DBCatalog

class CatalogData:

    def __init__(self):
        self.db = DBCatalog()
    
    def get_catalog_data(self, catalog_name:str) -> Row:
        session = self.db.get_session()
        query = text(""" EXEC CATALOG.sps_GetCatalogByName @i_nameCatalog = :catalog_name """)
        result = session.execute(query, {'catalog_name': catalog_name})
        rows = result.fetchall()
        data = {}
        for row in rows:
            if row.value != '':
                data[row.name] = row.value
        
        session.close()
        return data