from sqlalchemy import text, Row
from Database.DBSecurity import DBSecurity
from Exception.Exception import DatabaseException
from Helpers.Code import DB_ERROR_0006
from Helpers.Message import LEGACIES_FAILED

class LegacyData:

    def __init__(self):
        self.db = DBSecurity()

    def get_legacy_data(self) -> Row:
        session = self.db.get_session()
        result = session.execute(text('EXEC SECURITY.sps_SelectDataLegacy'))
        row = result.fetchone()
        if not row:
            DatabaseException(error=LEGACIES_FAILED, status_code=DB_ERROR_0006)
        
        session.close()
        return row